/*

           Copyright 1990 University of Massachusetts.
                         All rights reserved.

     Permission to copy and modify this software and its documen-
     tation only for internal use in your organization is hereby
     granted, provided that this notice is retained thereon and
     on all copies.  UMASS makes no representations as to the sui-
     tability and operability of this software for any purpose.
     It is provided "as is" without express or implied warranty.

     UMASS DISCLAIMS ALL WARRANTIES WITH REGARD TO THIS SOFTWARE,
     INCLUDING ALL IMPLIED WARRANTIES OF MERCHANTABILITY AND FIT-
     NESS.  IN NO EVENT SHALL UMASS BE LIABLE FOR ANY SPECIAL,
     INDIRECT OR CONSEQUENTIAL DAMAGES OR ANY OTHER DAMAGES WHAT-
     SOEVER RESULTING FROM LOSS OF USE, DATA OR PROFITS, WHETHER
     IN AN ACTION OF CONTRACT, NEGLIGENCE OR OTHER TORTIOUS
     ACTION, ARISING OUT OF OR IN CONNECTION WITH THE USE OR PER-
     FORMANCE OF THIS SOFTWARE.

     No other rights, including, for example, the right to redis-
     tribute this software and its documentation or the right to
     prepare derivative works, are granted unless specifically
     provided in a separate license agreement.

     Copyright 1990, University of Massachusetts. All rights
     reserved.



 */
#ifdef SEQUENT
#include <parallel/microtask.h>
#include <parallel/parallel.h>
#define MAX_PROCESSORS 12
#define IO_LOCK s_lock(&io_lock)
#define IO_UNLOCK s_unlock(&io_lock)
#define LOCK_SP S_LOCK(&special_lock)
#define UNLOCK_SP S_UNLOCK(&special_lock)
#define malloc(x) shmalloc(x)
#define free(x) shfree(x);
#define realloc(x,y) shrealloc(x,y)
shared slock_t io_lock;
#else
#define IO_LOCK
#define IO_UNLOCK
#define LOCK_SP
#define UNLOCK_SP
#define private
#define shared
#define slock_t int
#define S_LOCK()
#define S_UNLOCK()
#define m_get_numprocs() 1
#define m_get_myid() 0
int io_lock;
#endif
